import { BoxPanel } from '@lumino/widgets';
import { SessionContext } from '@jupyterlab/apputils';
import { CodeCell } from '@jupyterlab/cells';
import { ServerConnection } from '@jupyterlab/services';
export declare class CellAdapter {
    private _codeCell;
    private _cellPanel;
    private _sessionContext;
    constructor(source: string, serverSettings: ServerConnection.ISettings);
    get panel(): BoxPanel;
    get codeCell(): CodeCell;
    get sessionContext(): SessionContext;
    execute: () => void;
}
export default CellAdapter;
