/// <reference types="react" />
import { Store } from 'redux';
import { CommandRegistry } from '@lumino/commands';
import { NotebookPanel } from '@jupyterlab/notebook';
import { ICellHeader, Cell } from '@jupyterlab/cells';
import { CellSidebarProps } from './CellSidebarWidget';
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export declare class CellSidebarContentFactory extends NotebookPanel.ContentFactory {
    private readonly CellSidebar;
    private readonly notebookId;
    private readonly nbgrader;
    private readonly commands;
    private readonly store;
    constructor(CellSidebar: (props: CellSidebarProps) => JSX.Element, notebookId: string, nbgrader: boolean, commands: CommandRegistry, store?: Store, options?: Cell.ContentFactory.IOptions | undefined);
    /** @override */
    createCellHeader(): ICellHeader;
}
export default CellSidebarContentFactory;
