import { INotebookModel, NotebookModelFactory } from "@jupyterlab/notebook";
import { DocumentRegistry } from '@jupyterlab/docregistry';
import type { ISharedNotebook } from '@jupyter/ydoc';
export declare class CustomNotebookModelFactory extends NotebookModelFactory {
    /** @override */
    constructor(options: NotebookModelFactory.IOptions);
    /** @override */
    createNew(options: DocumentRegistry.IModelOptions<ISharedNotebook>): INotebookModel;
}
export default CustomNotebookModelFactory;
