import { NotebookPanel } from '@jupyterlab/notebook';
import { CellSidebarWidget } from './CellSidebarWidget';
// import { IInputPrompt } from '@jupyterlab/cells';
// import { NotebookInputPrompt } from './NotebookInputPrompt';
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export class CellSidebarContentFactory extends NotebookPanel.ContentFactory {
    CellSidebar;
    notebookId;
    nbgrader;
    commands;
    store;
    constructor(CellSidebar, notebookId, nbgrader, commands, store, options) {
        super(options);
        this.CellSidebar = CellSidebar;
        this.notebookId = notebookId,
            this.nbgrader = nbgrader;
        this.commands = commands;
        this.store = store;
    }
    /** @override */
    createCellHeader() {
        return new CellSidebarWidget(this.CellSidebar, this.notebookId, this.nbgrader, this.commands, this.store);
    }
}
export default CellSidebarContentFactory;
//# sourceMappingURL=CellSidebarContentFactory.js.map